@if (poiId) {
  <div class="ion-page">
    <ion-header>
      <lib-custom-modal-header
        (closeClick)="close()"
        (backNavigationClick)="pop()"
        [title]="poi?.name ?? ''"
        class="modal-header"
      ></lib-custom-modal-header>
    </ion-header>

    <ion-content *transloco="let t" class="content">
      <div
        *transloco="let t"
        class="content-wrapper content-spacing-small-medium flex-list-medium"
        aria-live="polite"
        aria-atomic="true"
      >
        @if (loading) {
          <app-details-skeleton></app-details-skeleton>
        } @else {
          @if (poi) {
            <p class="poi-category" *ngIf="getLocalizedCategoryNames()">
              {{ getLocalizedCategoryNames() }}
            </p>

            <lib-action-button-bar
              [actions]="[
                {
                  icon: 'directions',
                  label: t('map.navigate'),
                  onClick: navigateToLocation.bind(this),
                },
                {
                  icon: 'open_in_new',
                  label: t('map.website'),
                  onClick: openPoiUrl.bind(this),
                  isVisible: poi.url !== undefined,
                  linkUrl: poi.url,
                },
              ]"
            >
            </lib-action-button-bar>

            @if (poi.location) {
              <div class="flex-list-lines">
                <p class="content-title">{{ t('map.address') }}</p>
                <p class="content" lang="de">{{ poi.location.street }},</p>
                <p class="content">
                  {{ poi.location.postalCode }}
                  <span lang="de">{{ poi.location.city }}</span>
                </p>
              </div>
            }
            @if (poi.contactPoint) {
              <div class="flex-list-lines">
                <p class="content-title">{{ t('map.contact') }}</p>
                <p class="content">{{ poi.contactPoint.contactPerson }}</p>
                <a href="tel:{{ poi.contactPoint.phone }}" class="content">{{
                  poi.contactPoint.phone
                }}</a>
                <a href="mailto:{{ poi.contactPoint.email }}" class="content">{{
                  poi.contactPoint.email
                }}</a>
              </div>
            }
            @if (poi.dateModified) {
              <p class="content-title">
                {{
                  'map.last_updated'
                    | transloco
                      : {
                          time:
                            (poi.dateModified
                            | localizedTimeDistancePipe
                            | async),
                        }
                }}
              </p>
            }
          }
        }
      </div>
    </ion-content>
  </div>
} @else {
  <lib-condensed-header-layout
    [pageTitle]="poi?.name ?? ''"
    [useMaximumBackground]="true"
    class="ion-page"
  >
    <div
      *transloco="let t"
      class="content-spacing-small-medium flex-list-medium"
      aria-live="polite"
      aria-atomic="true"
    >
      @if (loading) {
        <app-details-skeleton></app-details-skeleton>
      } @else {
        @if (poi) {
          <p class="poi-category" *ngIf="getLocalizedCategoryNames()">
            {{ getLocalizedCategoryNames() }}
          </p>

          <lib-action-button-bar
            [actions]="[
              {
                icon: 'directions',
                label: t('map.navigate'),
                onClick: navigateToLocation.bind(this),
              },
              {
                icon: 'open_in_new',
                label: t('map.website'),
                onClick: openPoiUrl.bind(this),
                isVisible: poi.url !== undefined,
                linkUrl: poi.url,
              },
            ]"
          >
          </lib-action-button-bar>

          @if (poi.location) {
            <div class="flex-list-lines">
              <p class="content-title">{{ t('map.address') }}</p>
              <p class="content" lang="de">{{ poi.location.street }},</p>
              <p class="content">
                {{ poi.location.postalCode }}
                <span lang="de">{{ poi.location.city }}</span>
              </p>
            </div>
          }
          @if (poi.contactPoint) {
            <div class="flex-list-lines">
              <p class="content-title">{{ t('map.contact') }}</p>
              <p class="content">{{ poi.contactPoint.contactPerson }}</p>
              <a href="tel:{{ poi.contactPoint.phone }}" class="content">{{
                poi.contactPoint.phone
              }}</a>
              <a href="mailto:{{ poi.contactPoint.email }}" class="content">{{
                poi.contactPoint.email
              }}</a>
            </div>
          }
          @if (poi.dateModified) {
            <p class="content-title">
              {{
                'map.last_updated'
                  | transloco
                    : {
                        time:
                          (poi.dateModified
                          | localizedTimeDistancePipe
                          | async),
                      }
              }}
            </p>
          }
        }
      }
    </div>
  </lib-condensed-header-layout>
}
